
#ifndef LUBISHEV_TEXT_DOCUMENT_H
#define LUBISHEV_TEXT_DOCUMENT_H

#include <QAbstractTextDocumentLayout>
#include <QColor>
#include <QTextDocument>

namespace lubishev {

class TextDocument : public QTextDocument {
    public:
        TextDocument(const QColor &text,
                     const QColor &background,
                     QObject *parent = 0);

        void drawContents(QPainter *p, const QRectF &rect = QRectF());
        void setColors(const QColor &text, const QColor &background);

    private:
        QAbstractTextDocumentLayout::PaintContext mCtx;
};

} // namespace lubishev

#endif // LUBISHEV_TEXT_DOCUMENT_H

